Subject: Re: Image Processing
From: [email-masked] (Martijn Wehrens)
To: [email-masked] (Chris Hodges) (Chris Hodges)
Cc: [email-masked] (Amos-Mailing-List)
Date: Mon, 18 Dec 95 10:21:08 MET

> JB>   For I=1 to 3
> JB>     A$=Mid$(HexString$,I,1)
> JB>     Pixval=Val("$"+A$)
> JB> 
> JB>     'Do Your Processing Stuff with the color in here
> JB>     'Or, store it in an array for later use
> JB> 
> JB>   Next
> JB> 
> JB> THis is the method I use for all my HAM routines.
> 
> Ouch! ;-) What about:
> 
> RED=RGB/256
> GREEN=(RGB/16) And $F
> BLUE=RGB And $F

How much would this be faster, you recon ?
I agree the loop should be removed, also all in all
this will be faster, but how fast is the above string-method
anyway ? 

---------------------------------------------------------------
Martijn Wehrens, Theoretical Chemistry Group Utrecht University
email [email-masked]          
---------------------------------------------------------------